package com.dayou.service.impl;

import com.dayou.brokerage.annotation.RefreshBrokerageDate;
import com.dayou.entity.BrokerageBaseAmount;
import com.dayou.mapper.BrokerageBaseAmountMapper;
import com.dayou.service.IBrokerageBaseAmountService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 自定义提成基数 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
@Service
public class BrokerageBaseAmountServiceImpl extends ServiceImpl<BrokerageBaseAmountMapper, BrokerageBaseAmount> implements IBrokerageBaseAmountService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<BrokerageBaseAmount> selectPage(Page page,BrokerageBaseAmount brokerageBaseAmount){
        return this.page(page, new QueryWrapper<BrokerageBaseAmount>(brokerageBaseAmount));
    }


    @Override
    public BrokerageBaseAmount detail(Long id){
        return this.getById(id);
    }

    @RefreshBrokerageDate

    @Override
    public Boolean add(BrokerageBaseAmount brokerageBaseAmount){
        return  this.save(brokerageBaseAmount);
    }

    @RefreshBrokerageDate

    @Override
    public Boolean update(BrokerageBaseAmount brokerageBaseAmount){
        return  this.updateById(brokerageBaseAmount);
    }

    @RefreshBrokerageDate

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
